#!/bin/sh
echo 'name: SHA
version: 1.6.1
id: SHA-1.6.1-645498b75ef0198a7004aa2dcc0acf6d

license: BSD3
copyright:
maintainer: Adam Wick <awick@galois.com>,
            Raphael Javaux <raphaeljavaux@gmail.com>
stability: stable
homepage:
package-url:
synopsis: Implementations of the SHA suite of message digest functions
description: This library implements the SHA suite of message digest functions,
             according to NIST FIPS 180-2 (with the SHA-224 addendum), as well
             as the SHA-based HMAC routines. The functions have been tested
             against most of the NIST and RFC test vectors for the various
             functions. While some attention has been paid to performance,
             these do not presently reach the speed of well-tuned libraries,
             like OpenSSL.
category: Cryptography, Codec
author: Adam Wick <awick@galois.com>, Brian Lewis <brian@lorf.org>
exposed: True
exposed-modules: Data.Digest.Pure.SHA
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/SHA-1.6.1
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/SHA-1.6.1
              /usr/local/lib
hs-libraries: HSSHA-1.6.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.4.0.0-0b6c5ca7e879a14d110ca4c001dd9297
         base-4.5.1.0-f58939ca866a8377999e7a71aa62d1d0
         binary-0.5.1.0-9002afa60235020869a5f21683c71666
         bytestring-0.9.2.1-4cc8a513193316dfe32ba33f47609c9d
         directory-1.1.0.2-9e375ee7bfb1a0ae28bfd926af73e15a
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/SHA-1.6.1/html/SHA.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/SHA-1.6.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
